summaryrefslogtreecommitdiff
path: root/configure.ac
diff options
context:
space:
mode:
authorChris Michael <cp.michael@samsung.com>2015-07-28 12:53:20 -0400
committerChris Michael <cp.michael@samsung.com>2015-07-28 12:53:20 -0400
commitac9b5a0afc6f99a2cdd0f3a04ab8457299948751 (patch)
treeea42d5e72aab1d1faf131f809dd8c6aa7f42306b /configure.ac
parent1c19649acd93e97560521b89b18f5483786b34f6 (diff)
efl: Bump required wayland library versions
Summary: As a lot of functionality has changed in the relevant efl/e wayland codebase, we should bump the required wayland library versions as we are now dependant on updated wayland libraries. @fix Signed-off-by: Chris Michael <cp.michael@samsung.com>
Diffstat (limited to 'configure.ac')
-rw-r--r--configure.ac8
1 files changed, 4 insertions, 4 deletions
diff --git a/configure.ac b/configure.ac
index 28061605ec..7975e55755 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1388,7 +1388,7 @@ AC_ARG_ENABLE([wayland],
1388 [want_wayland="no"]) 1388 [want_wayland="no"])
1389 1389
1390if test "${want_wayland}" = "yes"; then 1390if test "${want_wayland}" = "yes"; then
1391 EFL_PKG_CHECK_STRICT([wayland-client >= 1.3.0]) 1391 EFL_PKG_CHECK_STRICT([wayland-client >= 1.8.0])
1392fi 1392fi
1393 1393
1394# Wayland IVI-Shell 1394# Wayland IVI-Shell
@@ -2960,7 +2960,7 @@ EFL_INTERNAL_DEPEND_PKG([ECORE_WAYLAND], [eo])
2960EFL_INTERNAL_DEPEND_PKG([ECORE_WAYLAND], [eina]) 2960EFL_INTERNAL_DEPEND_PKG([ECORE_WAYLAND], [eina])
2961 2961
2962EFL_DEPEND_PKG([ECORE_WAYLAND], [WAYLAND], 2962EFL_DEPEND_PKG([ECORE_WAYLAND], [WAYLAND],
2963 [wayland-client >= 1.3.0 wayland-cursor >= 1.3.0 xkbcommon >= 0.3.0]) 2963 [wayland-client >= 1.8.0 wayland-cursor >= 1.8.0 xkbcommon >= 0.5.0])
2964 2964
2965EFL_EVAL_PKGS([ECORE_WAYLAND]) 2965EFL_EVAL_PKGS([ECORE_WAYLAND])
2966 2966
@@ -3812,7 +3812,7 @@ EFL_ADD_FEATURE([ECORE_IMF], [xim])
3812# wayland 3812# wayland
3813if test "x${want_ecore_imf_wayland}" = "xyes" ; then 3813if test "x${want_ecore_imf_wayland}" = "xyes" ; then
3814 PKG_CHECK_MODULES([WAYLAND], 3814 PKG_CHECK_MODULES([WAYLAND],
3815 [wayland-client >= 1.2.0], 3815 [wayland-client >= 1.8.0],
3816 [ 3816 [
3817 have_ecore_imf_wayland="yes" 3817 have_ecore_imf_wayland="yes"
3818 AC_DEFINE([BUILD_ECORE_IMF_WAYLAND], [1], [Ecore Imf Wayland Support]) 3818 AC_DEFINE([BUILD_ECORE_IMF_WAYLAND], [1], [Ecore Imf Wayland Support])
@@ -4568,7 +4568,7 @@ EFL_LIB_END([Elocation])
4568 4568
4569### Add Wayland server library if test is enabled 4569### Add Wayland server library if test is enabled
4570if test "x${want_tests}" = "xyes" -a "x${want_wayland}" = "xyes"; then 4570if test "x${want_tests}" = "xyes" -a "x${want_wayland}" = "xyes"; then
4571 EFL_DEPEND_PKG([ECORE_WAYLAND_SRV], [WAYLAND], [wayland-server >= 1.3.0]) 4571 EFL_DEPEND_PKG([ECORE_WAYLAND_SRV], [WAYLAND], [wayland-server >= 1.8.0])
4572 EFL_EVAL_PKGS([ECORE_WAYLAND_SRV]) 4572 EFL_EVAL_PKGS([ECORE_WAYLAND_SRV])
4573fi 4573fi
4574 4574